[general]
bindaddr=0.0.0.0
bindport=5060
localnet=192.168.0.0/255.255.0.0
; nat=yes

externaddr=217.119.31.196

context=default                 ; Default context for incoming calls. Defaults to 'default'
allowguest=no                   ; Allow or reject guest calls (default is yes)
				; If your Asterisk is connected to the Internet
				; and you have allowguest=yes
				; you want to check which services you offer everyone
				; out there, by enabling them in the default context (see below).
allowoverlap=no                 ; Disable overlap dialing support. (Default is yes)

udpbindaddr=0.0.0.0             ; IP address to bind UDP listen socket to (0.0.0.0 binds to all)
                                ; Optionally add a port number, 192.168.1.1:5062 (default is port 5060)

;rtpbindaddr=172.16.42.1        ; IP address to bind RTP listen sock to (default is disabled). When
                                ; disabled the udpbindaddr is used.


tcpenable=no                    ; Enable server for incoming TCP connections (default is no)
tcpbindaddr=0.0.0.0             ; IP address for TCP server to bind to (0.0.0.0 binds to all interfaces)
                                ; Optionally add a port number, 192.168.1.1:5062 (default is port 5060)

transport=udp                   ; Set the default transports.  The order determines the primary default transport.
                                ; If tcpenable=no and the transport set is tcp, we will fallback to UDP.

srvlookup=yes                   ; Enable DNS SRV lookups on outbound calls
                                ; Note: Asterisk only uses the first host
                                ; in SRV records
                                ; Disabling DNS SRV lookups disables the
                                ; ability to place SIP calls based on domain
                                ; names to some other SIP users on the Internet
                                ; Specifying a port in a SIP peer definition or
                                ; when dialing outbound calls will supress SRV
                                ; lookups for that peer or call.

language=ru                    ; Default language setting for all users/peers

#include externalphones.conf
#include extphones/*.conf

; register => udp://8123275956:89ghYdh8z(@83.149.6.36:5060/8123275956

[secretar1](!)
type=friend
context=call-out
secret=123
host=dynamic
nat=force_rport
qualify=yes

[managers-phones](!)
type=friend
context=call-out
secret=123
host=dynamic
nat=force_rport
qualify=yes
canreinvite=no
callgroup=1
pickupgroup=1
call-limit=1
dtmfmode=auto
disallow=all
allow=alaw
allow=ulaw
allow=g729
allow=g723
allow=g722

#include intphones/*.conf

[001](managers-phones)
callerid="Шидловский Сергей" <001>
[003](managers-phones)
callerid="Шидловский Михаил" <003>
[100](managers-phones)
callerid="Секретарь" <100>
context=call-o100
call-limit=2

[101](managers-phones)
callerid="Секретарь" <101>
call-limit=2

[102](managers-phones)
callerid="Секретарь" <102>
call-limit=2

[116](managers-phones)
callerid="Кимаковская Татьяна" <116>
[127](managers-phones)
callerid="Сергеенко Дмитрий" <127>
[128](managers-phones)
callerid="Филина Виктория" <128>
[131](managers-phones)
callerid="Березин Андрей" <131>
[134](managers-phones)
callerid="Коквина Ольга" <134>
[140](managers-phones)
callerid="Бугаев Сергей" <140>
[144](managers-phones)
callerid="Зимин Алексей" <144>
[145](managers-phones)
callerid="Зобов Александр" <145>
[152](managers-phones)
callerid="Шидловский Григорий" <152>
[157](managers-phones)
callerid="Халтурина Алена" <157>
[161](managers-phones)
callerid="Мищенко Константин" <161>
[163](managers-phones)
callerid="Домашевский Алексей" <163>
[180](managers-phones)
callerid="Кава Наталья" <180>
[182](managers-phones)
callerid="Ненюкова Елена" <182>
[186](managers-phones)
callerid="Чекин Иван" <186>
[192](managers-phones)
callerid="Цвинский Алексей" <192>
[194](managers-phones)
callerid="Власов Александр" <194>
context=call-o194

[211](managers-phones)
callerid="Попов Виталий" <211>
[219](managers-phones)
callerid="Никитина Ольга" <219>
[221](managers-phones)
callerid="Гурьянов Герман" <221>
[223](managers-phones)
callerid="Виноградова Елена" <223>
[228](managers-phones)
callerid="Никаноров Игорь" <228>
[231](managers-phones)
callerid="Администраторы" <231>
[233](managers-phones)
callerid="Крылов Борис" <233>
context=call-o233

[235](managers-phones)
callerid="Кулешов Павел" <235>
[238](managers-phones)
callerid="Теплов Александр" <238>
[240](managers-phones)
callerid="Коломийченко Василий" <240>

[241](managers-phones)
callerid="Клецина Юлия" <241>
[244](managers-phones)
callerid="Шорохова Татьяна" <244>
[259](managers-phones)
callerid="Старостенко Елена" <259>
context=call-o259

[261](managers-phones)
callerid="Зернов Александр" <261>
context=call-o261

[287](managers-phones)
callerid="Девятая Светлана" <287>
[288](managers-phones)
callerid="Банникова Ирина" <288>
[290](managers-phones)
callerid="Горшков Денис" <290>
[380](managers-phones)
callerid="Курбатова Александра" <380>
[392](managers-phones)
callerid="Щепочкина Елена" <392>
context=call-o392
